import { VideoInfo } from "../types/Queue.js";
export declare class ServerQueue {
    queue: string[];
    history: string[];
    videoInfo: VideoInfo[];
    playing: {
        message: string | null;
        channelId: string | null;
    };
    queue_message: {
        message: string | null;
        channelId: string | null;
    };
    dispatcher: NodeJS.Timeout | null;
    constructor();
    removeFirst(): this;
    clearAll(): void;
    updateQueueMessage(message: string, channelId: string): this;
    updatePlayingMessage(message: string | null, channelId: string): this;
    add(url: string, videoInfo: VideoInfo): this;
}
