// import { playlist_info } from "play-dl";
import ytStream from "yt-stream";
export async function addPlaylist(url, server_queue, interaction) {
    const playlist = await ytStream.getPlaylist(url);
    const videos = playlist.videos;
    for (const video of videos) {
        const data = await ytStream.getInfo(video.video_url);
        const videoInfo = {
            title: video.title,
            url: video.video_url,
            length: data.duration / 1000,
        };
        server_queue.add(video.video_url, videoInfo);
    }
    await interaction.editReply(`✨ Added ${videos.length} songs to queue\n${url}`);
}
