export async function handlePlay(interaction, ClientData, type) {
    const { musicPlayer, queue } = ClientData;
    const voiceChannel = interaction.member.voice.channel;
    if (!voiceChannel) {
        await interaction.reply("You need to be in a voice channel to play music!");
        return;
    }
    const url = interaction.options.getString(type === "search" ? "query" : "url", true);
    await interaction.deferReply();
    await musicPlayer.connect(interaction);
    const server_queue = queue.get(interaction.guildId);
    if (server_queue) {
        clearTimeout(server_queue.dispatcher ?? "");
    }
    await musicPlayer.add(url, interaction);
}
