import { spotify, search } from "play-dl";
export async function addSpotify(url, server_queue) {
    const sp_data = await spotify(url);
    const search_data = await search(`${sp_data.name}`, {
        limit: 1,
    });
    const data = search_data[0];
    if (!data)
        return;
    server_queue.add(data.url, {
        title: sp_data.name,
        url: url,
        length: data.durationInSec,
    });
}
